curl --request POST \
--url https://sandbox.tight.com/v6/reports/cashFlowStatement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"exportType": "JSON",
"recipients": {
"emails": [
"<string>"
],
"ccEmails": [
"<string>"
],
"bccEmails": [
"<string>"
]
},
"accountingMethod": "CASH",
"filters": {
"beginDate": "2025-01-01",
"endDate": "2025-12-31",
"classSegments": [
{
"labelId": "tcll_439512",
"classSegmentIds": [
"<string>"
]
}
],
"customerIds": [
"<string>"
]
},
"grouping": {
"period": "MONTHLY",
"classSegmentLabelId": "tcll_439512",
"dateGrouping": "DAILY"
}
}
'{
"result": "SUCCESS",
"data": {
"json": [
{
"name": "2025-01-01 to 2025-12-31",
"period": {
"beginDate": "2025-01-01",
"endDate": "2025-12-31"
},
"data": [
{
"name": "Engineering",
"netCashChange": 21813.73,
"beginCashBalance": 3469.79,
"endCashBalance": 25283.52,
"operatingActivities": {
"name": "Operating Activities",
"total": 21762.73,
"children": [
{
"name": "Net Income",
"total": 16411.65
},
{
"accountNo": "11500",
"name": "Accounts Receivable",
"accountId": "gla_167242948",
"total": -49.1
},
{
"accountNo": "11700",
"name": "Undeposited Funds",
"accountId": "gla_167242952",
"total": -3
},
{
"accountNo": "21001",
"name": "American Express - Credit Card *3008",
"accountId": "gla_167243197",
"total": -337.86
},
{
"accountNo": "21002",
"name": "Wells Fargo - Credit Card *1585",
"accountId": "gla_167243198",
"total": 5343.58
},
{
"accountNo": "21004",
"name": "American Express - Platinum Card® *2008",
"accountId": "gla_174147300",
"total": 397.46
}
]
},
"investingActivities": {
"name": "Investing Activities",
"total": 0,
"children": []
},
"financingActivities": {
"name": "Financing Activities",
"total": 51,
"children": [
{
"accountNo": "36000",
"name": "Shareholder Distributions",
"accountId": "gla_171128186",
"total": 51
}
]
}
}
]
}
],
"meta": {
"title": "Cash Flow Statement",
"generatedOn": "2025-12-03T10:30:00",
"generatedBy": "Joe LaForgia",
"footerLine": "Generated on 12/03/2025 at 7:45:55 PM by Joseph LaForgia"
}
},
"error": []
}Generate a Cash Flow Statement
curl --request POST \
--url https://sandbox.tight.com/v6/reports/cashFlowStatement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"exportType": "JSON",
"recipients": {
"emails": [
"<string>"
],
"ccEmails": [
"<string>"
],
"bccEmails": [
"<string>"
]
},
"accountingMethod": "CASH",
"filters": {
"beginDate": "2025-01-01",
"endDate": "2025-12-31",
"classSegments": [
{
"labelId": "tcll_439512",
"classSegmentIds": [
"<string>"
]
}
],
"customerIds": [
"<string>"
]
},
"grouping": {
"period": "MONTHLY",
"classSegmentLabelId": "tcll_439512",
"dateGrouping": "DAILY"
}
}
'{
"result": "SUCCESS",
"data": {
"json": [
{
"name": "2025-01-01 to 2025-12-31",
"period": {
"beginDate": "2025-01-01",
"endDate": "2025-12-31"
},
"data": [
{
"name": "Engineering",
"netCashChange": 21813.73,
"beginCashBalance": 3469.79,
"endCashBalance": 25283.52,
"operatingActivities": {
"name": "Operating Activities",
"total": 21762.73,
"children": [
{
"name": "Net Income",
"total": 16411.65
},
{
"accountNo": "11500",
"name": "Accounts Receivable",
"accountId": "gla_167242948",
"total": -49.1
},
{
"accountNo": "11700",
"name": "Undeposited Funds",
"accountId": "gla_167242952",
"total": -3
},
{
"accountNo": "21001",
"name": "American Express - Credit Card *3008",
"accountId": "gla_167243197",
"total": -337.86
},
{
"accountNo": "21002",
"name": "Wells Fargo - Credit Card *1585",
"accountId": "gla_167243198",
"total": 5343.58
},
{
"accountNo": "21004",
"name": "American Express - Platinum Card® *2008",
"accountId": "gla_174147300",
"total": 397.46
}
]
},
"investingActivities": {
"name": "Investing Activities",
"total": 0,
"children": []
},
"financingActivities": {
"name": "Financing Activities",
"total": 51,
"children": [
{
"accountNo": "36000",
"name": "Shareholder Distributions",
"accountId": "gla_171128186",
"total": 51
}
]
}
}
]
}
],
"meta": {
"title": "Cash Flow Statement",
"generatedOn": "2025-12-03T10:30:00",
"generatedBy": "Joe LaForgia",
"footerLine": "Generated on 12/03/2025 at 7:45:55 PM by Joseph LaForgia"
}
},
"error": []
}Documentation Index
Fetch the complete documentation index at: https://docs.tight.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Export format for the report
JSON, PDF, XLSX Email recipients for the report
Show child attributes
Accounting method to generate the report in. Defaults to the company's configured accounting method.
CASH, ACCRUAL Filters to apply to the report
Show child attributes
Grouping options for the report
Show child attributes